/*
** tlscommon.h for tlsinject in
**
** Made by Averous Julien-Pierre
** E-Mail   <j.averous@sourcemac.com>
**
** Started on  Wed Nov 26 15:47:42 2008 Averous Julien-Pierre
** Last update Thu Dec  4 15:34:29 2008 Averous Julien-Pierre
*/

#ifndef TLSCOMMON_H_
# define TLSCOMMON_H_

# include <openssl/ssl.h>
# include <openssl/err.h>

SSL_CTX *initialize_ctx(char *keyfile, char *password, SSL_METHOD *meth);
int load_dh_params(SSL_CTX *ctx, char *file);
void destroy_ctx(SSL_CTX *ctx);

#endif /* !TLSCOMMON_H_ */
